package sushi_sample;

/**  
 * 回転寿司の皿
 */
public class Dish {

	private Sushi sushi;
	/** レーン上の皿の位置 */
	private int x, y;
	
	public Dish(int x, int y) {
		this.x = x;
		this.y = y;
	}
	
	// コピーコンストラクタ
	public Dish(Dish dish) {
		this.x = dish.x;
		this.y = dish.y;
		
		Sushi sushi = dish.getSushi();
		if (sushi != null) {
			this.sushi = new Sushi(sushi.getName());
		}
	}
	
	public Sushi getSushi() {
		return sushi;
	}
	
	public void setSushi(Sushi sushi) {
		this.sushi = sushi;
	}
	
	public int getX() {
		return x;
	}
	
	public void setX(int x) {
		this.x = x;
	}
	
	public int getY() {
		return y;
	}
	
	public void setY(int y) {
		this.y = y;
	}
}
