package sushi_sample;

import javax.swing.*;

@SuppressWarnings("serial")
/**
 * 回転寿司のアニメーションをフレーム（ウィンドウ）で表示する。
 */
public class SushiFrame extends JFrame {
	
	public SushiFrame() {
		this.setTitle("回転寿司"); // タイトル
		this.add(new SushiPanel(this)); // アニメーションを表示するパネル

		this.setSize(300, 400); //set window size

		this.setResizable(false); // サイズ変更不可
		this.pack();
		this.setLocationRelativeTo(null); // 画面の真ん中らへんに移動
		this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE); // xが押されたら終了
		this.setVisible(true); //　表示する。
	}
	
	public static void main(String[] args) {
		new SushiFrame();
	}
}
